PHP Manual
Prev |  | Next

# constant

(PHP 4 >= 4.0.4)

constant -- Returns the value of a constant

## Description

``mixed constant` (string name)`

constant() will return the value of the constant indicated by `name`.

constant() is useful if you need to retrieve the value of a constant, but do not know it's name. i.e. It is stored in a variable or returned by a function.

Example 1. constant() example
    <php

    define ("MAXSIZE", 100);

    echo MAXSIZE;
    echo constant("MAXSIZE"); // same thing as the previous line

    ?>

See also define(), defined() and the section on Constants.

Prev | Home | Next
connection_timeout | Up | define